Subject: Re: linux-next: acpi tree build failure

From: Greg KH <[email-masked]>
Date: Wed, 4 Feb 2009 21:00:56 -0800

On Thu, Feb 05, 2009 at 01:13:40PM +1100, Stephen Rothwell wrote:
> Greg, Len,
> 
> On Mon, 2 Feb 2009 13:22:54 +1100 Stephen Rothwell <[email-masked]> wrote:
> >
> > drivers/platform/x86/oqo-wmi.c: In function 'oqo_kine_init':
> > drivers/platform/x86/oqo-wmi.c:595: error: 'struct device' has no member named 'bus_id'
> > 
> > Caused by commit 03919980ad590ad5c5c181d1bd7d58513ad170bc ("platform/x86:
> > Add oqo-wmi driver for model 2 OQO backlight and rfkill control")
> > interacting with commit c44c8304353aa6da82cbf98040c6a9c254e68e1c ("driver
> > core: get rid of struct device's bus_id string array") from the
> > driver-core tree.
> 
> Still getting this (of course).  Can you guys come up with a fix, please?

Len, you have the patch from Kay, what do you want to do with it?

thanks,

greg k-h